//
// Generated stub from file:/C:/Documents%20and%20Settings/Chris/My%20Documents/GMetrics/SVN/target/checkout/src/main/groovy/org/gmetrics/util/WildcardPattern.groovy
//

package org.gmetrics.util;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * Represents a string pattern that may optionally include wildcards ('*', '**' or '?'), and
 * provides an API to determine whether that pattern matches a specified input string.
 * <p/>
 * The wildcard character '*' within the pattern matches a sequence of zero or more characters within a
 * single file or directory name in the input string. It does not match a sequence of two or more
 * dir/file names. For instance, 'a*b' matches 'a12345b' and 'ab', but does NOT match 'a/b' or 'a123/b'.
 * <p/>
 * The '**' wildcard matches any sequence of zero or more characters in the input string, including
 * directory names and separators . It matches any part of the directory tree. For instance, 'a**b'
 * matches 'a12345b', 'ab', 'a/b' and 'a1/a2/a3b'.
 * <p/>
 * The wildcard character '?' within the pattern matches exactly one character in the input string,
 * excluding the normalized file separator character ('/').
 * <p/>
 * This is an internal class and its API is subject to change.
 *
 * @author Chris Mair
 * @version $Revision: 101 $ - $Date: 2010-03-10 19:17:23 -0500 (Wed, 10 Mar 2010) $
 */
public class WildcardPattern
    extends java.lang.Object
    implements groovy.lang.GroovyObject
{
    private List regexes = null;

    private List strings = null;

    private java.lang.Object defaultMatches = null;

    /**
     * Magic constructor
     */
    private WildcardPattern(java.lang.Void void0, java.lang.Void void1, java.lang.Void void2) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Construct a new WildcardPattern instance on a single pattern or a comma-separated list of patterns.
     *
     * @param patternString - the pattern string, optionally including wildcard characters ('*' or '?');
may optionally contain more than one pattern, separated by commas; may be null or empty to always match
     * @param defaultMatches - a boolean indicating whether <code>matches()</code> should
return true if the pattern string is either empty or null. This parameter is
optional and defaults to <code>true</code>.
     */
    public WildcardPattern(java.lang.String patternString, boolean defaultMatches) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    /**
     * Return true if the specified String matches the pattern or if the original
     * patternString (specified in the constructor) was null or empty and the
     * value for defaultMatches (also specified in the constructor) was true.
     *
     * @param string - the String to check
     * @return true if the String matches the pattern
     */
    public boolean matches(java.lang.String string) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Return true if the specified String contains one or more wildcard characters ('?' or '*')
     *
     * @param string - the String to check
     * @return true if the String contains wildcards
     */
    private static boolean containsWildcards(java.lang.String string) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Convert the specified String, optionally containing wildcards (? or *), to a regular expression String
     *
     * @param stringWithWildcards - the String to convert, optionally containing wildcards (? or *)
     * @return an equivalent regex String
     * @throws AssertionError - if the stringWithWildcards is null
     */
    private static java.lang.String convertStringWithWildcardsToRegex(java.lang.String stringWithWildcards) {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
